* {
    list-style-type: none;
    text-decoration: none;
}


:root {
    --color-1: #D72508;
    --color-2: #14052c;
    --color-3: #a0001c;
    --color-4: #A7B3B1;
    --color-5: #e70404;
    --color-white: #fff;

    --color-bg: #070111;
    --color-bg2:rgba(222, 206, 206, 0.3);
    /* --transition: all 1000ms linear; */
    --box-shadow: 0px 8px 8px 8px rgb(38, 36, 36);
}


body {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    list-style-type: none;
    background-color: var(--color-bg);
    text-decoration: none;
    font-family: 'Noto Sans', sans-serif;
    position: relative;
    font-size: 1.6rem;
}

/* NAVIGATION */

nav {
    width: 100%;
    /* position: absolute; */

}
.nav-bar {
    width: 100%;
    height: 6rem;
    display: flex;
    justify-content: space-around;
    align-items: center;
    z-index: 1;
    background-color: transparent;
    /* position: absolute; */
}



.brand{
    font-family: 'Russo One', sans-serif;
    font-size: 1rem;
    cursor: pointer;
}
.name1 {
    color: var(--color-5);

}

.name2 {
    color: var(--color-4);
    font-size: 1.1rem;
    margin-left: -.5rem;
}
nav ul {
    width: 65%;
    display: flex;
    justify-content: space-around;
    align-items: center;
}
nav ul a {
    color: var(--color-4);
    text-decoration: none;
    font-size: 1.1rem;
    font-family: 'Russo One', sans-serif;
    z-index: 1;
}
.open-bar, .close-bar {
    display: none;
}



/* TICKET SECTION */


.main-ticket {
    margin-top: 6rem;
}
.bookings {
    width: 67%;
    background-color: var(--color-2);
    margin: 0 auto;
    padding: 3rem;
    border-radius: 20px;
}
.bookings h1 {
    line-height: 0;
    color: var(--color-white);
}
em {
    font-size: 18px;
    margin-top: -50rem;
    color: var(--color-white);
}
.bookings p {
    font-size: 20px;
    color: var(--color-white);
}
.bookings input {
    color: var(--color-4);
    background-color: transparent;
    border: none;
    font-weight: bold;
    font-size: 20px;
}
input[type=number]::-webkit-inner-spin-button, input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input:focus {
    outline: none;
}
.time {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-row-gap: 50px;
    font-size: 1.1rem;
}
.time div {
    color: var(--color-white);
}

.ticket-btn {
    color: var(--color-white);
    padding: 10px;
    background-color: var(--color-3);
    border-radius: 5px;
    font-size: 1.3rem;
    margin-right: 4px;
    cursor: pointer;
}



.ticket-btn2 button {
    color: var(--color-white);
    padding: 20px;
    background-color: var(--color-3);
    border-radius: 7px;
    font-size: 1.3rem;
    margin-top: 3rem;
    cursor: pointer;
}



/* POP-OUT SECTION */

.card-container {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    background-color: var(--color-bg2);
    z-index: 1;
    animation-name: card;
    animation-duration: 2s;
    display: none;
}

@keyframes card {
    from {
        opacity: 0;
    }
    to {
        opacity: 2;
    }
}

.card-content {
    width: 60%;
    box-shadow: var(--box-shadow);
    padding: 2rem;
    margin: 5% auto;
    background-color: var(--color-white);
    
}
.x {
    /* position: absolute;
    right: 5%; */
    margin-left: 90%;
    cursor: pointer;
    font-weight: bolder;
}
.data {
    width: 75%;
    margin-top: 5px;
    
}
.data label {
    font-size: 15px;
}
.data input {
    width: 100%;
    border-top: none;
    border-left: none;
    border-right: none;
    border-bottom: 1px solid black;
    background-color: transparent;
}
.pay {
    color: var(--color-white);
    padding: 1.2rem;
    background-color: var(--color-3);
    margin-top: 10px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    
}
#text {
    font-size: 15px;
}


/* FOOTER */

footer {
    margin-top: 4rem;
    font-family: 'Russo One', sans-serif;
}

.footer-one {
    width: 97%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0px 3%;
    /* height: 6rem; */
}

.brand2 {
    font-size: 1rem;
    cursor: pointer;
}
.brand2 h2 {
    color: #D72508;
    font-size: 1.2rem;

}
.brand2b {
    color: var(--color-4);
    font-size: 1rem;
    margin-left: -.3rem;
}
.brand2b:hover {
    color: #D72508;
}

.ul1 {
    width: 50%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding-left: 11%;
}
.ul1 a {
    color: var(--color-4);
    font-size: 1.3rem;
}
.ul1 a:hover {
    color: #D72508;
}

.ul2 {
    width: 25%;
    display: flex;
    align-items: center;
    gap: 4rem;
}
.ul2 i {
    color: var(--color-4);
}
.ul2 i:hover {
    color: #D72508;
}

.footer-two {
    margin-top: 4rem;
}
.footer-two p {
    color: #6d7275;
    text-align: center;
    font-size: 1.3rem;
}








/* MEDIA QUERIES */

@media screen and (max-width:1024px) {
    nav {
        height: 4rem;
        
    }
    nav {
        /* width: 90%; */
        justify-content: space-between;
        align-items: center;
        /* padding: 0 30px 0 40px; */
        place-items: center;
    }
    
    .brand{
        font-size: 0.6rem;
    }
    
    .name2 {
        font-size: 1.1rem;
    }
    /* nav ul {
        width: 60%;
    } */
    nav ul a {
        font-size: 0.9rem;
    }

    .card-content {
        padding: 2rem;
        margin: 1% auto;
        
    }


    .footer-one {
        width: 100%;
        margin: 0px auto;
        flex-direction: column;
        gap: 0;
    }
    .brand2 {
        font-size: 1.5rem;
    }
    .brand2 h2 {
        font-size: 2rem;
    
    }
    .brand2b {
        font-size: 1.6rem;
        margin-left: -.6rem;
    }
    .ul1 {
        flex-direction: column;
        padding-left: 0%;
        width: 100%;
        justify-content: center;
        gap: 0.3rem;
        margin: -0.5rem auto -0.5rem;
    }
    .ul1 a {
        font-size: 1.8rem;
    }
    .ul2 {
        width: 100%;
        justify-content: center;
        gap: 2rem;
        margin-right: 40px;
    }
    .ul2 i {
        font-size: 40px;
        margin-top: 10px;
    }
    .footer-two {
        margin-top: 2rem;
    }
    .footer-two p {
        font-size: 1.8rem;
    }
}


@media screen and (max-width:768px) {
    .nav-bar {
        width: 90%;
        height: 3rem;
        justify-content: space-between;
        margin:0 auto;

    }
    nav ul {
        position: absolute;
        top: -2rem;
        left: 35%;
        flex-direction: column;
        display: none;
        /* width: 100%; */
        width: 40%;
        animation: animateNavItem 400ms linear forwards;
        transform-origin: top right;
        opacity: 0;
    }
    
    nav ul li {
        height: 20px;
        margin-top: 6px;
    }
    @keyframes animateNavItem {
        0% {
            transform: rotateZ(-90deg) rotateY(90deg) scale(0.1);
        }
        100% {
            transform: rotateZ(0);
            opacity: 1;
        }
    }
    nav ul a {
        font-size: 11px;
    }
    .btn {
        position: absolute;
        top: 5px;
        left: 86%;
    }
    
    .open-bar, .close-bar {
        background-color: transparent;
        border: none;
        font-size: 25px;
        display: inline-block;
        cursor: pointer;
    }
    .close-bar {
        display: none;
    }
    .fa-bars, .fa-x {
        color: var(--color-4);
    }

    .main-ticket {
        margin-top: 4rem;
    }
    .bookings {
        width: 72%;
    }
    .bookings h1 {
        font-size: 30px;
    }
    .ticket-btn2 button {
        margin-top: 2rem;
    }

    .card-content {
        width: 70%;
        padding: 1.5rem;
        margin: 10% auto;
        
    }
}



@media screen and (max-width: 480px) {
    .brand{
        font-size: 0.5rem;
    }
    
    .name2 {
        font-size: 0.5rem;
        margin-left: -.3rem;
    }
   


    .main-ticket {
        margin-top: 3rem;
    }
    
    
    .bookings {
        width: 85%;
        padding: 1rem;
    }


    .x .fa-x {
        color: black;
    }


    .time {
        grid-row-gap: 40px;
        font-size: 1rem;
    }
    
    .ticket-btn {
        padding: 10px;
        border-radius: 5px;
        font-size: 0.8rem;
    }
    
    .ticket-btn2 button {
        padding: 15px;
        border-radius: 5px;
        font-size: 1.1rem;
    }

    .card-content {
        width: 75%;
        padding: 1rem;
        margin: 0.5% auto;
        padding: 5px 10px 5px;
        
    }




    footer {
        margin-top: 2rem;
    }

    .brand2 {
        font-size: 1rem;
        margin-bottom: 0.5rem;
    }
    .brand2 h2 {
        font-size: 1.5rem;
    
    }
    .brand2b {
        font-size: 1.2rem;
        margin-left: -.5rem;
    }
    .ul1 a {
        font-size: 1rem;
    }
    .ul2 {
        gap: 1rem;
    }
    .ul2 i {
        font-size: 30px;
        margin-top: 5px;
    }

    .footer-two p {
        font-size: 1rem;
    }
}


@media screen and (max-width: 280px) {
    .bookings {
        width: 85%;
    }
    .bookings h1 {
        font-size: 25px;
    }
    em {
        font-size: 13px;
    }
    .bookings p {
        font-size: 15px;
    }
    .ticket-btn {
        font-size: 0.6rem;
    }
    .time div {
        font-size: 12px;
    }
}
